Forgot password
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
This endpoint is used to reset the password by mobile phone verification code or email verification code after the user forgets the password. This interface requires the provision of a temporary credential passwordResetToken for resetting the password, which needs to be obtained through the Initiate a Forgot Password Request interface.
Method name
AuthenticationClient.reset_password
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| password | string | yes | - | Password | |
| passwordResetToken | string | yes | - | Token for resetting password | |
| passwordEncryptType | string | no | none | Password encryption type, supports encryption using RSA256 and SM2 algorithms. The default is none, no encryption. - none: Do not encrypt the password and transmit it in plain text. - rsa: Use the RSA256 algorithm to encrypt the password. You need to use the RSA public key of the GenAuth service for encryption. Please read the Introduction section to learn how to obtain the RSA256 public key of the GenAuth service. - sm2: Use the National Secret SM2 Algorithm to encrypt the password. You need to use the SM2 public key of the GenAuth service for encryption. Please read the Introduction section to learn how to obtain the SM2 public key of the GenAuth service. | none |
Request response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a IsSuccessDto | Whether the operation is successful |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}Data structure
IsSuccessDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |